using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    internal class Program
    {
        
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());

            List<int> Pos = Array.ConvertAll(Console.ReadLine().Split(), int.Parse).ToList();

            int Harry = 0;

            // Levo -> Jug
            // Desno -> Sever

            int NajbliziSaLeveStrane = int.MinValue;
            int NajbliziSaDesneStrane = int.MaxValue;
           
            for (int i = 0; i < Pos.Count; i++)
            {
                int CurrentPos = Pos[i];

                if (CurrentPos < Harry)
                {
                    NajbliziSaLeveStrane = Math.Max(NajbliziSaLeveStrane, CurrentPos);
                } else
                {
                    NajbliziSaDesneStrane = Math.Min(NajbliziSaDesneStrane, CurrentPos);
                }
            }
           
            int PucaLevoCooldown = 0;
            int PucaDesnoCooldown = 0;
            
            string Potezi = "";

            bool simulacijaZivi = true;
            
            int PreostaliPotezi = 1000000;
            while (simulacijaZivi)
            {
                if (PreostaliPotezi < 1) break;

                PucaLevoCooldown--;
                PucaDesnoCooldown--;

                if (NajbliziSaLeveStrane != int.MinValue && Math.Abs(Harry - NajbliziSaLeveStrane) < 2)
                {
                    if (PucaLevoCooldown <= 0)
                    {
                        PucaLevoCooldown = 2;
                        Pos.Remove(NajbliziSaLeveStrane);
                        Potezi += "2";
                    }
                    else
                    {
                        Harry += 1;
                        Potezi += "3";
                    }
                }
                else if (PucaDesnoCooldown <= 0 && NajbliziSaDesneStrane != int.MaxValue)
                {
                    PucaDesnoCooldown = 2;
                    Pos.Remove(NajbliziSaDesneStrane);
                    Potezi += "1";
                }
                else if (PucaLevoCooldown <= 0)
                {
                    PucaLevoCooldown = 2;
                    Pos.Remove(NajbliziSaLeveStrane);
                    Potezi += "2";
                }
                else
                {
                    Harry += 1;
                    Potezi += "3";
                }

                NajbliziSaLeveStrane = int.MinValue;
                NajbliziSaDesneStrane = int.MaxValue;

                for (int i = 0; i < Pos.Count; i++)
                {
                    if (Pos[i] < Harry)
                    {
                        Pos[i]++;
                        NajbliziSaLeveStrane = Math.Max(NajbliziSaLeveStrane, Pos[i]);
                    }
                    else
                    {
                        Pos[i]--;
                        NajbliziSaDesneStrane = Math.Min(NajbliziSaDesneStrane, Pos[i]);
                    }

                    if (Pos[i] == Harry)
                    {
                        simulacijaZivi = false;
                        break;
                    }
                }

                PreostaliPotezi--;

                if (Pos.Count < 1) break;
            }

            Console.WriteLine(Potezi);
        }
    }
}